/* Application Explorer - a general-purpose application cataloger/indexer
 * Copyright (C) 2006  Aliasgar Lokhandwala <d7@freepgs.com> 
 * http://appexp.sourceforge.net/
 *
 * IIniFile.java: the interface that describes ini files
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package app.appexplorer.file;

import java.util.Hashtable;

/**
 * This interface defines an INI file. This interface is used so that the actual
 * class implementing the functionality of reading ini files can be improved
 * without affecting the program.
 * 
 * @see IIniFile
 * @version 2.0
 * @author ali
 */
public interface IIniFile {
    /**
     * Returns the name=value pairs for given section name. Returns an empty
     * hash if the section is empty or not found. Ini files contain sections in
     * square brackets. Each section has name=value pairs.
     * 
     * @param section
     *            The string (without square brackets) giving the section name.
     *            Should not be null.
     * @return The name=value pairs for given section name. May be empty. Never
     *         null.
     */
    public Hashtable readSection(String section);
}